/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.bean;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 电子厂详情表(tbl_factory_list)
 *
 * @author bianj
 * @version 1.0.0 2017-07-03
 */
@Entity
@Table(name = "tbl_factory_list")
public class Tbl_Factory_List implements java.io.Serializable {

    /**
     * 版本号
     */
    private static final long serialVersionUID = -8290320819344778436L;

    /**
     * 电子厂代码
     */
    @Id
    @Column(name = "factory_code", unique = true, nullable = false, length = 20)
    private String factoryCode;

    /**
     * 电子厂名称
     */
    @Column(name = "factory_name", nullable = false, length = 20)
    private String factoryName;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = true)
    private Date createTime;

    /**
     * 是否收税：1收、0不收
     */
    @Column(name = "is_tax", nullable = true, length = 1)
    private String isTax;

    /**
     * 获取电子厂代码
     *
     * @return 电子厂代码
     */
    public String getFactoryCode() {
        return this.factoryCode;
    }

    /**
     * 设置电子厂代码
     *
     * @param factoryCode 电子厂代码
     */
    public void setFactoryCode(String factoryCode) {
        this.factoryCode = factoryCode;
    }

    /**
     * 获取电子厂名称
     *
     * @return 电子厂名称
     */
    public String getFactoryName() {
        return this.factoryName;
    }

    /**
     * 设置电子厂名称
     *
     * @param factoryName 电子厂名称
     */
    public void setFactoryName(String factoryName) {
        this.factoryName = factoryName;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * 设置创建时间
     *
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取是否收税：1收、0不收
     *
     * @return 是否收税
     */
    public String getIsTax() {
        return this.isTax;
    }

    /**
     * 设置是否收税：1收、0不收
     *
     * @param isTax 是否收税：1收、0不收
     */
    public void setIsTax(String isTax) {
        this.isTax = isTax;
    }
}
